package com.atlassian.stash.internal.scm.git.pull;

import javax.annotation.Nonnull;

import static com.google.common.base.Preconditions.checkNotNull;

/**
 * @since 2.9
 */
public enum PullRequestRefType {

    FROM("from"),
    MERGE("merge"),
    TO("to");

    private final String refName;

    private PullRequestRefType(String refName) {
        this.refName = checkNotNull(refName, "refName");
    }

    @Nonnull
    public String getRefName() {
        return refName;
    }
}
